## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface ForExp

All Superinterfaces:
  org.eclipse.ocl.utilities.ASTNode, org.eclipse.ocl.expressions.CallExp<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.CallingASTNode, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.ETypedElement, ImperativeExpression, ImperativeLoopExp, org.eclipse.ocl.expressions.LoopExp<org.eclipse.emf.ecore.EClassifier,org.eclipse.emf.ecore.EParameter>, org.eclipse.emf.common.notify.Notifier, org.eclipse.ocl.expressions.OCLExpression<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.TypedElement<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.Visitable

All Known Implementing Classes:
  ForExpImpl

    public interface ForExp

extends ImperativeLoopExp

A representation of the model object 'For Exp'.

See Also:
  `ImperativeOCLPackage.getForExp()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary

Methods inherited from interface org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.ImperativeLoopExp
`getCondition, setCondition`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.expressions.LoopExp
`checkLoopVariableInit, checkLoopVariableType, checkSourceCollection, getBody, getIterator, setBody`

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.